Опасность очень серьезная: злоумышленники могут использовать вредоносные приложения для уничтожения данных и превращения аппарата в бесполезный «кирпич». Другой, более вероятный сценарий, заключается в незаметном похищении секретных пользовательских данных.

Пользователь «Alephzain» сначала проверил наличие уязвимости на аппарате Samsung Galaxy S III, когда попытался получить Root-доступ. В дальнейшем оказалось, что аналогичные проблемы есть в аппаратах Samsung Galaxy S II, Samsung Galaxy Note II и Meizu MX. Строго говоря, проблема может проявить себя на любых аппаратах, использующих процессор Exynos (4210 и 4412) и код фирменного Android-ядра от Samsung.

Компания Samsung официально еще не отреагировала на сообщение об уязвимости, хотя уже зафиксированы случаи успешного ее использования. Старший модератор XDA Developers, известный под псевдонимом «Chainfire», создал готовый исполняемый пакет APK под названием ExynosAbuse, где уязвимость, открытая пользователем Alephzain, используется для получения Root-привилегий и установки новейшей версии утилиты SuperSU «на любом аппарате с процессорами Exynos4».

В сообщениях энтузиастов-разработчиков упоминаются следующие устройства, подверженные уязвимости: Samsung Galaxy S2 GT-I9100, Samsung Galaxy S3 GT-I9300, Samsung Galaxy S3 LTE GT-I9305, Samsung Galaxy Note GT-N7000, Samsung Galaxy Note 2 GT-N7100, Verizon Galaxy Note 2 SCH-I605 (с заблокированным загрузчиком), Samsung Galaxy Note 10.1 GT-N8000 и Samsung Galaxy Note 10.1 GT-N8010.

Стоит заметить, что далеко не все вредоносные программы для Android могут использовать эту конкретную уязвимость. Кроме того, многие устройства не подвержены этой угрозе просто потому, что построены на других процессорах. Так, пользователь под псевдонимом Supercurio подтвердил, что планшет Nexus 10 не подвержен угрозе, поскольку в нем применяется чип Exynos 5. Сейчас уже известно, что информация из форума XDA дошла до инженеров компании Samsung. К радости пользователей, озабоченных безопасностью своих Android-аппаратов, тот же пользователь Supercurio уже выпустил неофициальное исправление, которое полностью устраняет уязвимость.

Найти это исправление можно на сайте Project Voodoo по адресу http://project-voodoo.org/articles/instant-fix-app-for-exynos-mem-abuse-vulnerability-no-root-required-reversible.

Источник: www.soft.mail.ru